Old mac not supporting wow

90 Human Death Knight
1980
Hey guys, I just got my girlfriend wow and apparantly it says that her mac won't support it and she needs to buy a newer 1.....her mac isn't that old and it supports upto cata.....can sm1 help me to see how i can fix the problem and work MOP on it? thanks
Reply Quote
MVP - Technical Support
90 Draenei Mage
6490
We'll need some specs on it.

Go to the Apple Menu -> About this Mac then More info (I think. Not at home so can't check)

Then give us the processor , graphics card , model number and graphics cards specs.
Reply Quote
90 Human Death Knight
1980
OK....

Well processor is intel core 2 duo...2.53 gHz

model name macbook pro5....

and as far as the graphic thingy is concerned im not sure coz i don't use mac i play on windows but its 1 of * intel HD graphics * or * NVIDIA GFORCE GT 330M *

now im not sure which 1 coz apparantly as i've searched how to check it her mac says * color LCD * and * display connector, status : no display connected * so it might be intel hd graphics !!
Reply Quote
Support Forum Agent
It should be able to support it, as it is a Core 2 Duo and has a NVIDIA GT 330M.

It might just be warning her about her OS. Do you know what version of Mac OS X she is running? (10.6 Snow Leopard, 10.7 Lion, 10.8 Mountain Lion)
Reply Quote
90 Human Death Knight
1980
she has 10.5.....is there a way to update her OS? or she needs to get a new mac? :S
Reply Quote
Support Forum Agent
02/10/2013 09:19 AMPosted by Keyos
she has 10.5.....is there a way to update her OS? or she needs to get a new mac? :S

That is why she isn't able to run our games. All current Blizzard titles require 10.6 and above.

You can check out our Software Upgrading & Updating article on how to upgrade from Mac OS X 10.5.

I would suggest trying to upgrade to 10.8, to make sure that all games can run. Mac OS X 10.6 is in a soft support phase, and will be dropped at some point.
Edited by Machkhan on 2/10/2013 9:44 AM PST
Reply Quote
MVP - Technical Support
90 Draenei Mage
6490
10.5 has it's last major update 3 years ago. Even if it could run it would run like a 1 legged lame dog.

Upgrading to 10.8 would be your best bet atm.
Reply Quote
90 Human Death Knight
1980
ok thanks guys....was very helpfull !! :) CHEERS
Reply Quote

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)
Submit Cancel

Reported!

[Close]